BCL WebContent Help

Overview

BCL WebContent is a Dreamweaver® MX Extension that imports documents, converts them to HTML and extracts the content for publishing on a website quickly and easily. The process allows you to import PDF documents created by easyPDF (or any other PDF authoring tool), and generate either basic free-flowing HTML or exactly positioned CSS layered HTML. Text, tables and graphics are always preserved in the conversion process. The content from each page is inserted into the current workspace by simply selecting a thumbnail and clicking insert!

BCL WebContent requires the following hardware and software:

  • Windows 2000/XP/98/ME
  • 64 MB RAM, 150 MHz Processor, 5 MB HD
  • Macromedia Dreamweaver MX ®
  • Macromedia Extension Manager ®
  • Free Adobe Acrobat Reader ® (recommended)

Setup

  1. Run WebContent.exe, which will unpack the necessary files
  2. Open the Macromedia Extension Manager and install BCLWebcontent.mxp
  3. Open Macromedia Dreamweaver MX and open the WebContent floater
  4. Shutdown and Restart Dreamweaver (important)
  5. Install BCL easyPDF (optional)

Uninstall

  1. Open Dreamweaver, close the WebContent floater, close Dreamweaver
  2. Open the Macromedia Extension Manager and remove BCLWebContent
  3. Use “Add/Remove Programs” in the Control Panel to remove WebContent

Button Description

Insert: Inserts the selected HTML page into the active document.
Target: Insert temporary layer to determine where to insert Layered HTML
Refresh: Refreshes the files in the WebContent tree.
Import: Imports a PDF document.
Generate: Generates the HTML from the selected PDF document.
Preview: Opens a browser window to view the selected HTML document
Delete: Removes the PDF document from the tree.

Quick Start

Import a document Click [import] to select a PDF document, then select the type of HTML to generate:
Layered HTML converts the document to HTML using layers
so that the content is positioned exactly like it is in the original.
Free-Flowing HTML converts the document to HTML without
using layers so that only the text, tables and images are extracted.

Generate HTML

WebContent automatically generates HTML from the document. You can always re-generate HTML from the document by clicking the [generate] button and selecting a new HTML style.

Preview

An icon for each generated HTML page appears in the WebContent tree. Click on a page icon to see a thumbnail preview of the document above, or click [preview] to display the page in your browser.

Target Layer

Click [insert target layer] to insert a target layer in the active document, then position the target layer where you would like WebContent to insert content from the currently selected document. The target layer is an optional tool, and only works with Layered HTML.

Insert Content

Click [insert] to copy the currently selected HTML page into the active document.

Rearrange Content

After inserting Layered HTML, you can view a list of the layers used in the document in the Layers window by pressing F2 (or selecting Window->Others->Layers) You can freely move or delete the layers in your document.

You can use easyPDF to generate
a PDF file from any document type.

Try converting the sample file
that was installed with BCL WebContent

FAQ

Q: Where are the HTML files stored after they are generated?
A: The HTML files are placed in your Macromedia configuration folder:

..\Dreamweaver MX\Configuration\floaters\WebContent\GeneratedFiles\

Q: Sometimes the text is not positioned exactly like the original in some of my layers. Why is this?
A: The techniques used by different PDF creation software are better suited for different needs. If some of the layers or text is different from the original PDF, try using another PDF creation tool.

If you have any questions about BCL WebContent or BCL easyPDF,
please call us at 408-557-2080 or email support@bcltechnologies.com.